﻿
Partial Public Class MainPhoneForm

    '////////////////////////////////////////////////////////////////////////////////////////////////
    '////////////////////////////////////////////////////////////////////////////////////////////////

    Private Sub BtnTransferCall_Click(ByVal sender As Object, ByVal e As EventArgs) Handles BtnTransferCall.Click

        Dim nLineNo As Integer = ListBoxLines.SelectedIndex
        m_objVaxUserAgent.TransferCallBlind(nLineNo, EditTransferPhoneNo.Text)

    End Sub

    '////////////////////////////////////////////////////////////////////////////////////////////////
    '////////////////////////////////////////////////////////////////////////////////////////////////

    Private Sub BtnConsultTransfer_Click(ByVal sender As Object, ByVal e As EventArgs) Handles BtnConsultTransfer.Click

        If ComboConsultLineA.SelectedIndex = ComboConsultLineB.SelectedIndex Then
            MessageBox.Show("Please select two different lines.", "VaxVoIP SIP SDK")
            Return
        End If

        m_objVaxUserAgent.TransferCallConsult(ComboConsultLineA.SelectedIndex, ComboConsultLineB.SelectedIndex)

    End Sub

    '////////////////////////////////////////////////////////////////////////////////////////////////
    '////////////////////////////////////////////////////////////////////////////////////////////////

    Public Sub OnTransferCallAccepted(ByVal nLineNo As Integer)
        AddToStatusLog("Line-" & Convert.ToString(nLineNo + 1) & ": Transfer accepted.")
    End Sub

    Public Sub OnTransferCallFailed(ByVal nLineNo As Integer, ByVal nStatusCode As Integer, ByVal sReasonPhrase As String)
        AddToStatusLog("Fail to Transfer: " & sReasonPhrase)
    End Sub

    '////////////////////////////////////////////////////////////////////////////////////////////////
    '////////////////////////////////////////////////////////////////////////////////////////////////

End Class
