﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace VaxVoIP
{
    public partial class PhoneForm : UserControl
    {
        private void BtnTransferCall_Click(object sender, RoutedEventArgs e)
        {
            int nLineNo = ListBoxLines.SelectedIndex;

            m_objVaxUserAgent.TransferCallBlind(nLineNo, EditTransferPhoneNo.Text);
        }

        private void BtnConsultTransfer_Click(object sender, RoutedEventArgs e)
        {
            if (ComboConsultLineA.SelectedIndex == ComboConsultLineB.SelectedIndex)
            {
                MessageBox.Show("Please select two different lines.", "VaxVoIP SIP SDK");
                return;
            }

            m_objVaxUserAgent.TransferCallConsult(ComboConsultLineA.SelectedIndex, ComboConsultLineB.SelectedIndex);
        }

        public void OnTransferCallAccepted(int nLineNo)
        {
            AddToStatusLog("Line-" + Convert.ToString(nLineNo + 1) + ": Transfer accepted.");
        }

        public void OnTransferCallFailed(int nLineNo, int nStatusCode, String sReasonPhrase)
        {
            AddToStatusLog("Fail to Transfer: " + sReasonPhrase);
        }
    }
}
